<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <link href="report.css" rel="stylesheet">
    <title>OLKi Preliminary Report</title>
    <meta name="description" content="OLKi Preliminary Report analysing the
    space and explaining desired outcomes for the federated platform">
  </head>

  <body>
    <article id="cover">
      <h1>OLKi</h1>
      <h2>Open Language and Knowledge for Citizens</h2>
      <address>
        Université de Lorraine,
        LORIA laboratory
        Nancy, France
      </address>
      <address>
        Pierre-Antoine Rault &lt;par@rigelk.eu&gt;
        Christophe Cerisara &lt;cerisara@loria.fr&gt;
      </address>
    </article>

    <article id="contents">
      <h2>Table of contents</h2>

      <h3>Project Statement</h3>

      <h3>Related Works</h3>
      <ul>
        <li><a href="#reddit-twitter"></a></li>
        <li><a href="#academic-socnets"></a></li>
        <li><a href="#academic-torrents"></a></li>
        <li><a href="#dat-project"></a></li>
        <li><a href="#open-source-projects"></a></li>
      </ul>

      <h3>Technical Study</h3>
      <ul>
      </ul>
    </article>

    <article id="statement">
      <h2>Project Statement</h2>

      <p>
        In a time of increasing distrust and defiance of citizens towards
        artificial intelligence, the scientific community is not left untainted
        by the scandals of the industry and must provide an answer to a justified
        concern of the society. OLKi want to take part in that naescent effort
        by ensuring datasets and particularly linguistic datasets that are
        the essential resource of machine learning techniques can be easily
        hosted and interacted with for the whole scientific community.
      </p>

      <p>
        The OLKi project will connect researchers, scientists and citizens
        through the Fediverse. To do so it will extend the ActivityStreams 
        language to support scientific research datasets and their related
        activities.
      </p>

      <p>
        The Fediverse is originally a social-network-oriented text
        communication platform that has emerged as a citizen initiative in
        2017. It has quickly grown, both in number of users (more than
        2.5 million users in November 2018) and supported functionalities,
        including for instance blog-like platforms (Plume), image sharing
        (Pixelfed), video sharing (peertube), audio sharing (funkwhale), etc.
        all while maintaining the basics for compatibility and interoperability
        (Pleroma being one of the main examples). One of the main strengths of the
        Fediverse is that all of these features are interconnected together
        through open standards, enabling users of one feature to access
        other features as well. A major side-effect is that web applications
        don't have to compete with each other but can understand each other
        (with a degree of compatibility). It might seem insignificant since
        it just amounts to the classic gains of using open standards. However
        in the case of social interactions, it allows even small and novel
        software to free themselves from Metcalfe's law by gaining support
        from existing communities.
      </p>

      <p>
        The OLKi project will further enhance the Fediverse with a new
        functionality oriented towards scientific communication and research
        results dissemination. This will fill the current need of a dedicated
        global and open communication platform between researchers, but also
        between scientists and citizens. In that sense it will be more than
        a platform to host datasets and provide features that current
        dataset hosting platforms lack.
      </p>

    </article>

    <article class="chapter">
      <h2>Related Works</h2>
    </article>

    <article class="columns">
      <h2 id="reddit-twitter">Reddit/Twitter</h2>

      <h3>Beyond science influencers, a different form of scientific debate.</h3>

      <section>
        <p>
          The temporal, attention-grabbing nature of Twitter posts makes them
          ill-suited for nuanced, in-depth scientific discussions.
        </p>

        <p>
          Twitter allows users to post short messages (originally up to 140
          characters, increased to 280 characters since November 2017) that can
          be read by any other user. Users can elect to follow other users
          whose posts they are interested in, in which case they automatically
          see their followees’ tweets; conversely, users can be followed by
          other users, in which case their tweets can be seen by their
          followers. No permission is needed to follow a user, and
          reciprocation of following is not mandatory. Tweets can be
          categorized (with hashtags), repeated (retweeted), and shared via
          other social media platforms, which can exponentially amplify their
          spread and can offer links to websites, blogs, or scientific papers.
        </p>

        <p>
          There are scientific advantages to using digital communication
          technologies such as Twitter. Scientific users describe it as a means
          to stay abreast of new scientific literature, grant opportunities,
          and science policy, to promote their own published papers and
          exchange ideas, and to participate in conferences they cannot attend
					in person as “virtual delegates”. Twitter can play a role in most
					parts of the life cycle of a scientific publication, from making connections
					with potential collaborators, to collecting data or finding data sources, to
					dissemination of the finished product.
        </p>

        <p>
          Instead of waiting for the old letters to the editor, scientists can
          go to Twitter for rapid critique of their research. Gathering papers
          on a subject is also seemingly easy, with crowdsourced scraping of a
          the latest, most noteworthy papers of a field due to the number of
          scientists naturally on Twitter.
        </p>

        <p>
          "Scientists on Twitter: Preaching to the choir or singing from the rooftops?"
          by Isabelle M. Côtéimcote and Emily S. Darling makes a compelling case that the
          modern generation of scientific scholars have shifted to social platforms
          to exchange with and around scientific material. While ill-equiped to
          allow the full palette of scientific discourse, Twitter has a massive
          network effect that is both helping inreach and outreach of their field
          of research.
        </p>
      </section>
    </article>

   <article class="columns">
      <h2 id="academic-socnets">ResearchGate, Mendeley, Academia</h2>

      <h3>Social networks made for researchers only.</h3>

      <section>

        <p>
Academic social networks support activities across the research
cycle, from getting job suggestions, sharing and reading full-text papers to
following use of your research output within the system. We looked at detailed
functionalities offered by ResearchGate, Mendeley and Academia.edu.
        </p>

      </section>

    </article>

    <article class="columns">
      <h2 id="academic-torrents">Academic Torrents</h2>

      <h3>A platform to organise datasets replication.</h3>

      <section>
        <p>
          Claiming to host and ensure replication of more than 33.85TB of datasets
          as of 2018, <a href="http://academictorrents.com">Academic Torrents</a> is run by a 501(c)3 non-profit corporation called
          the Institute for Reproducible Research. Since 2013, it has gained support
          from multiple high-profile universities and research institutions.
        </p>
        <p>
          It consists of a website consuming a simple API to list torrents of datasets.
          A simple commenting and reporting system exists, but is clearly not the focus
          of the platform, which is <em>centered on transport</em> via BitTorrent and showing 
          the current peers replicating a given  dataset.
        </p>
        <p>
          <b>Where data is stored</b>. Datasets are never stored on the platform. Using
          any BitTorrent client, you can download from other peers. A typical upload
          scenario is not uploading any data on the platform, but just a `.torrent` file
          containing the processed metainformation to join the swarm and retrieve the
          dataset chunks.
        </p>
        <p>
          <b>How data is accessed</b>. Relying on BitTorrent and storing no data on
          the platform means the browser cannot get the data itself, nor via the platform.
          This limits interaction with and around exerpts of the dataset, or insights
          about the dataset from the platform.
        </p>
        <p>
          <b>How data is controled</b>. Being centralized around a single website
          and a single BitTorrent tracker (the entity allowing easier peer discovery),
          content can be put down easily. While not a bad thing per se, it is essentially
          giving a one-size-fits-all editorial and moderation policy for research.
        </p>
        <p>
          <b>How data is discovered</b>. All datasets to be searched are known by
          one instance of the platform that lists them. Indexing and searching through them
          is trivially achieved. A simple listing focusing on the quality of replication
          (as is the main focus of the platform) allows to decide from dataset to dataset.
          No editorial works seems to be done at the moment, and dataset titles are
          copying the torrents' main folder name at best. A full text search is then
          done on that title and the category of data specified.
        </p>

        <h4>Pros</h4>
        <ul>
          <li>Very good interoperability</li>
          <li>Light maintenance costs</li>
        </ul>
        <h4>Cons</h4>
        <ul>
          <li>No interaction with data</li>
          <li>No exchange around the data</li>
          <li>Not open source</li>
        </ul>
      </section>
    </article>

    <article class="columns">
      <h2 id="dat-project">The Dat Project & Science Fair</h2>

      <h3>Designed for civic and research data storage.</h3>

      <section>
        <p>
          The Dat Project revolves around data sharing and explicitly aims at doing
          better than Academic Torrents. <a href="https://dat.land/">dat://</a> is a peer-to-peer protocol for building
          decentralized tools. It is a community-driven project (as opposed to IPFS,
          a similar VC-backed project) centered around a
          protocol that is transport-agnostic and whose <a
            href="https://docs.datproject.org/concepts">key concepts</a> are
          allow robust archival and access of data.
        </p>
        <p>
          Having a history of how files have changed is essential for effective
          collaboration and reproducibility. Git has been promoted as a
          solution for history, but it becomes slow with large files and a high
          learning curve. BitTorrent is good with large files but inefficient
          at providing random access to data in larger datasets, which is
          crucial for sparse access.
        </p>

        <p>
          An excellent documentation of the Dat protocol main operations
          is available <a href="https://datprotocol.github.io/how-dat-works/">here</a>.
        </p>

        <h4>Pros (Science Fair)</h4>
        <ul>
          <li>Light maintenance costs</li>
          <li>Data can be viewed</li>
        </ul>
        <h4>Cons (Science Fair)</h4>
        <ul>
          <li>No exchange around the data</li>
          <li>Only available via a desktop app</li>
        </ul>
      </section>
    </article>

    <article id="offers">
      <h2 id="open-source-projects">Other Open Source Platforms</h2>

      <h3>Open source platforms using a more traditional model of service to
        the user : local storage and/or listing local resources only and still
        little to no interaction.</h3>

      <section>
        <h4>Meta-Share (FP7 & ICT PSP)</h4>
        <a class="offer" href="https://github.com/metashare/META-SHARE">github.com/metashare/META-SHARE</a>
        <ul>
          <li>Hierarchical federation of servers, that bear different roles
            (pertaining to storage or indexation).</li>
          <li>Infrastructure of networked repositories that is transparently
            viewed as one global collection of resources.</li>
          <li>Uses a central node as a looking glass/portal to search
            datasets.</li>
          <li>
            Doesn't directly support <a href="http://webzine.web.cern.ch/webzine/4/papers/3/index.html">OAI-PMH</a>,
            but explicitly puts responsibility on the instance owner to allow it.
          </li>
          <li>Made using Python.</li>
        </ul>
      </section>

      <section>
        <h4>Dataverse (Harvard)</h4>
        <a class="offer" href="https://dataverse.org/software-features">dataverse.org/software-features</a>
        <ul>
          <li>No federation of servers (so discovery is local-only), but interoperable formats and standards.</li>
          <li>Integration with a lot of providers.</li>
          <li>No support for OAI-PMH.</li>
          <li>Made using Java.</li>
        </ul>
      </section>

      <section>
        <h4>Zenodo (CERN)</h4>
        <a class="offer" href="https://github.com/zenodo/zenodo">github.com/zenodo/zenodo</a>
        <ul>
          <li>No federation of servers (so discovery is local-only), but interoperable formats and standards.</li>
          <li>Uses heavy dependencies and frameworks (Invenio, Elasticsearch) raising the bar for deployment.</li>
          <li>Tightly coupled with its storage infrastructure, and all data is stored at CERN (see <a href="http://about.zenodo.org/infrastructure/">their infrastructure</a>)</li>
          <li>
            Supports <a href="https://developers.zenodo.org/#oai-pmh">OAI-PMH</a>.
          </li>
          <li>Made using Python.</li>
        </ul>
      </section>
    </article>

    <article class="chapter">
      <h2>Software Requirements Specification</h2>
    </article>
<!--
    <article id="competences">
      <h2 id="requirements">Requirements</h2>

      <h3>
        Core concepts to provide improved service compared to the baseline
      </h3>

      <section id="public">
        <h4>Public Design Process</h4>
        <p>
          Discussions are public and design choices open to suggestion.
        </p>
      </section>

      <section id="osi">
        <h4>No Lock In</h4>
        <p>
          Use of open standards and open code for maximum interoperability and
          auditability.
        </p>
      </section>

      <section id="heading">
        <h4>Distributed Storage</h4>
        <p>
          Increasing reliability via replicability, and distributing costs.
        </p>
      </section>

      <section id="internal-links">
        <h4>No Centralized Servers</h4>
        <p>
          Reducing Single Points of Failure, and distributing costs.
        </p>
      </section>

      <section id="network">
        <h4>Federated, Not Harvested</h4>
        <p>
          A lot of platforms currently allow harversting of datasets from each other, but no
          social interaction between users. While we don't want to replicate a
          full social network, constructive scientific interaction could easily
          take place by adding interoperability with existing social networks.
          Thinking it the other way, the only socializing place for scientific
          discussion online is around scientific data.
        </p>
      </section>

      <section id="maintainability">
        <h4>Maintainability</h4>
        <p>
          Users often end up wanting to improve the system they use, so matching the
          tools and languages used to that of the research community would lower the
          barrier of entry to contribution.
        </p>
      </section>

      <section id="deployability">
        <h4>Deployability</h4>
        <p>
          Not all users, especially linguistic research teams, have system
          administration skills broad enough to deploy a complex system. Reducing
          the gap to deployment should be a primary focus.
        </p>
      </section>

    </article>
-->
  </body>
</html>
